Upload a Document to a Task
post
/public/v1/tasks/{task}/documentsAttach a previously uploaded file to a Task by passing the id
returned from the temporary upload endpoint as the file reference.
taskstringrequiredThe task UUID
Body
application/jsonfilestringrequirednamestring | nullmax length 255categoriesobject[] | nullmax items 100▶Show 1 child attributesHide child attributes
idstringrequired
Response
200application/jsonDocumentResource
dataobjectrequired▶Show 5 child attributesHide child attributes
idstringrequiredExample:d1c2e3f4-a5b6-47c8-9d0e-1f2a3b4c5d6enamestringrequiredExample:Service Agreementfile_extensionstringrequiredExample:pdfcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00categoriesobject[]required▶Show 2 child attributesHide child attributes
idstringrequiredExample:c4a5b6c7-d8e9-40f1-a2b3-c4d5e6f7a8b9namestringrequiredExample:Assessments
401Unauthenticated403Authorization error404Not found422Validation error